Subject: Re: [External] : bug#60190: 29.0.50; Improve `Info-goto-node-web'

From: Marcin Borkowski <[email-masked]>
Date: Tue, 20 Dec 2022 07:00:40 +0100

On 2022-12-19, at 21:33, Drew Adams <[email-masked]> wrote:

>> > And maybe the option should cover not only this
>> > command but also commands that read a URL - IOW,
>> > maybe it should be a general user preference
>> > whether to add URLs (that you choose interactively)
>> > to the kill-ring.
>>
>> Not sure about this – why put a URL I _type_ into the kill ring?  Though
>> I agree that if the URL is somehow generated, this may be very useful.
>> For instance, if I had a function which could open DevDocs pages,
>> copying their URLs to the kill ring (or in this case, the system
>> clipboard) could make it easier to send their links to my teammates
>> (something I do fairly often).
>
> Why?  Why not?  Why type it twice or more?

Because if I "typed" it (read: put it there myself), it means that most
probably I just yanked it anyway, so why put it again onto the kill
ring?

> Not saying I'd use such a feature, or how much I
> would. But I can imagine that some users might.
> Till now I might not have thought that someone
> would want what you request: add the URL to the
> kill-ring for the Info case.
>
> IOW, I'm not sure either.  But if we're starting
> to think about such things then we might as well
> think them through a bit.

100% agree.

-- 
Marcin Borkowski
http://mbork.pl